;; -*-emacs-lisp-*-
;;
;; Emacs startup file, e.g.  /etc/emacs/site-start.d/50ruby1.8-elisp.el
;; for the Debian ruby1.8-elisp package
;;
;; Originally contributed by Nils Naumann <naumann@unileoben.ac.at>
;; Modified by Dirk Eddelbuettel <edd@debian.org>
;; Adapted for dh-make by Jim Van Zandt <jrv@debian.org>

;; The ruby1.8-elisp package follows the Debian/GNU Linux 'emacsen' policy and
;; byte-compiles its elisp files for each 'emacs flavor' (emacs19,
;; xemacs19, emacs20, xemacs20...).  The compiled code is then
;; installed in a subdirectory of the respective site-lisp directory.
;; We have to add this to the load-path:
(let ((package-dir (concat "/usr/share/"
                           (symbol-name flavor)
                           "/site-lisp/ruby1.8-elisp")))
;; If package-dir does not exist, the ruby1.8 package must have
;; removed but not purged, and we should skip the setup.
  (when (file-directory-p package-dir)
        (setq load-path (cons package-dir load-path))
       (autoload 'ruby-mode "ruby-mode"
         "Major mode for editing Ruby source files." t)
       (add-to-list 'auto-mode-alist '("\\.rb\\'" . ruby-mode))
       (add-to-list 'interpreter-mode-alist '("ruby" . ruby-mode))
       (autoload 'run-ruby "inf-ruby" "Run an inferior Ruby process")
       (autoload 'inf-ruby-keys "inf-ruby"
         "Set local key defs for inf-ruby in ruby-mode")
       (add-hook 'ruby-mode-hook
                 '(lambda ()
                    (inf-ruby-keys)))))
